import request from '@/utils/request'

export default {
    // 获取站点信息数据
    siteOne(params) {
        return request({
            url: `site/one`,
            method: 'GET',
            params: params
            // data: data
        })
    },
    // 获取设备统计 ->监测设备图表数据
    deviceTypeCount(params) {
        return request({
            url: `device/deviceTypeCount`,
            method: 'GET',
            params: params
            // data: data
        })
    },
    // 获取设备统计 ->监测对象图表数据
    count(params) {
        return request({
            url: `facility/count`,
            method: 'GET',
            params: params
            // data: data
        })
    },
    //获取用电量概览 -> 月度年度今日用电量
    dayMonthYearEp(params) {
        return request({
            url: `htAnalogData/dayMonthYearEp`,
            method: 'GET',
            params: params
            // data: data
        })
    },
    //获取用电量概览 -> 实施负载
    epLoad(params) {
        return request({
            url: `rtAnalogData/epLoad`,
            method: 'GET',
            params: params
            // data: data
        })
    },
    //获取用电量概览 -> 分时电量图表
    timeShare(params) {
        return request({
            url: `htAnalogData/timeShare`,
            method: 'GET',
            params: params
            // data: data
        })
    },
    //获取实时负荷曲线 -> 今日/昨日用电趋势
    eptrendIco(params) {
        return request({
            url: `htAnalogData/eptrendIco`,
            method: 'GET',
            params: params
            // data: data
        })
    },
    ///获取需量趋势 -> 需量趋势图
    demandIco(params) {
        return request({
            url: `htAnalogData/demandIco`,
            method: 'GET',
            params: params
            // data: data
        })
    },
    ///获取历史趋势 -> 历史记录电流电压
    electricIco(params) {
        return request({
            url: `htAnalogData/electricIco`,
            method: 'GET',
            params: params
            // data: data
        })
    },
    
}